Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.labels
Class LabelImpl

    java.lang.Object
      EntityObject
          com.atlassian.bamboo.core.BambooEntityObject
              com.atlassian.bamboo.labels.LabelImpl

All Implemented Interfaces:
  BambooObject, Label

    public class LabelImpl

extends BambooEntityObject
implements Label

Field Summary

Fields inherited from class com.atlassian.bamboo.core.BambooEntityObject
`id`

Constructor Summary
`LabelImpl()`
`LabelImpl(String name, String namespace)`

Method Summary
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object o)`
`String` | `getName()`
`String` | `getNamespace()`
`int` | `hashCode()`
`void` | `setName(String name)`
`void` | `setNamespace(String namespace)`

Methods inherited from class com.atlassian.bamboo.core.BambooEntityObject
`getId, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.labels.Label
`getCreationDate, getLastModificationDate, setCreationDate, setLastModificationDate`

Methods inherited from interface com.atlassian.bamboo.core.BambooObject
`getId, setId`

Constructor Detail

### LabelImpl

    public LabelImpl()

### LabelImpl

    public LabelImpl(String name,
                     String namespace)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Label`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `Label`

### getNamespace

    public String getNamespace()

  Specified by:
    `getNamespace` in interface `Label`

### setNamespace

    public void setNamespace(String namespace)

  Specified by:
    `setNamespace` in interface `Label`

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object o)

### compareTo

    public int compareTo(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.